Search Transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to search through all business transactions on Vendy. This endpoint matches q against the customer's phone number (msisdn), email and the reference identifier (refid). This endpoint supports two forms for pagination; setting the time period for which transactions should be searched (via 'start' and 'end' query parameters) or number of transactions to be returned (via 'limit' query parameter).

Request:

ParameterTypeDescriptionRequired
qStringSearch queryTrue
startInteger(milliseconds since epoch)A starting time period to get transactions fromfalse
endInteger(milliseconds since epoch)A ending time period to get transactions fromfalse
limitStringoffset, count, for example 0, 100false
businessIdIntegerRequired with a dashboard session token. Ignored when you use API keysfalse

Example request

curl --location 'https://api.myvendy.com/transactions/search?q=2348012345678&start=1760918400000&end=1761004800000' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataArray[Transaction]All retrieved transaction details

Example response

{
  "status": true,
  "code": 200,
  "msg": "Transactions",
  "data": [
    {
      "id": 1,
      "uid": 1,
      "businessId": 1,
      "request": "Optional",
      "msisdn": "08012345678",
      "amount": "100.0000",
      "requestamount": "100.0000",
      "refid": "6518564956061343757",
      "vendref": null,
      "debitref": "6518564956061343757",
      "reason": "success",
      "raw_reason": "success",
      "channel": "ussd",
      "page": "pin-page",
      "currency": "NGA",
      "delivered":1,
      "vended": 1,
      "reversed": 0,
      "debited": 1,
      "failed": 0,
      "isreversing": 0,
      "processing": 0,
      "flag": null,
      "created_on": "2021-10-31T21:58:27.000Z",
      "updated_on": "2021-10-31T21:59:27.000Z",
      "delivered_date":"2021-10-31T21:59:27.000Z",
      "reversed_date": null,
      "meta": {
                "fee": 0.5,
        "commission":0.5
      }
    },
    {
      "id": 2,
      "uid": 1,
      "businessId": 1,
      "request": "Optional",
      "msisdn": "08012345678",
      "amount": "100.0000",
      "requestamount": "100.0000",
      "refid": "6518564956061343757",
      "vendref": null,
      "debitref": "6518564956061343757",
      "reason": "success",
      "raw_reason": "success",
      "channel": "ussd",
      "page": "pin-page",
      "currency": "NGA",
      "delivered":1,
      "vended": 1,
      "reversed": 0,
      "debited": 1,
      "failed": 0,
      "isreversing": 0,
      "processing": 0,
      "flag": null,
      "created_on": "2021-10-31T21:58:27.000Z",
      "updated_on": "2021-10-31T21:59:27.000Z",
      "delivered_date":"2021-10-31T21:59:27.000Z",
      "reversed_date": null,
      "meta": {
                "fee": 0.5,
        "commission":0.5
      }
    }
  ]
}
Query Params
string
required

Text to match against the customer's phone number (msisdn), email or the refid.

int32
int32
integer

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

string

offset, count, for example 0, 100.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json